%% compare benchmarking result
clc, clear, close all

path(pathdef)

addpath('0_Steuer')

load calculationOfMineForBenchmarking_fullvib.mat
power_list_fullvib = mine_reset_power;
mine_n_NO_fullvib = cell2mat(mine_n_NO_list);
%---------
mine_n_O_fullvib = zeros(1,length(mine_n_list));
% mine_n_NO_fullvib_temp = zeros(1,length(mine_n_list));
for i= 1:length(mine_n_list)
    mine_n_O_fullvib(i) = mine_n_list{i}(end,16);
%     mine_n_NO_fullvib_temp(i) = mine_n_list{i}(end,28);
end

load calculationOfMineForBenchmarking_Pabs1_1p5e15N2AB.mat
power_list_1p5e15_N2AB = mine_reset_power;
mine_n_NO_1p5e15_N2AB = cell2mat(mine_n_NO_list);
%---------
mine_n_O_1p5e15_N2AB = zeros(1,length(mine_n_list));
% mine_n_NO_fullvib_temp = zeros(1,length(mine_n_list));
for i= 1:length(mine_n_list)
    mine_n_O_1p5e15_N2AB(i) = mine_n_list{i}(end,16);
%     mine_n_NO_fullvib_temp(i) = mine_n_list{i}(end,28);
end

load calculationOfMineForBenchmarking_7e15_N2AB.mat
power_list_7e15_N2AB = mine_reset_power;
mine_n_NO_7e15_N2AB = cell2mat(mine_n_NO_list);
%---------
mine_n_O_7e15_N2AB = zeros(1,length(mine_n_list));
% mine_n_NO_fullvib_temp = zeros(1,length(mine_n_list));
for i= 1:length(mine_n_list)
    mine_n_O_7e15_N2AB(i) = mine_n_list{i}(end,16);
%     mine_n_NO_fullvib_temp(i) = mine_n_list{i}(end,28);
end

[Experiment_n_O_power, Experiment_n_O] = get_n_Te('Meas_B2_PowerVariation_1slm_O.csv');


figure(1)
m1 = plot(Experiment_n_O_power,Experiment_n_O,'o','Color','k','MarkerSize',11)
set(m1, 'markerfacecolor', get(m1, 'color'));
hold on
h1=plot(power_list_fullvib,mine_n_O_fullvib,'-','Color','k','LineWidth',3);
hold on
h1=plot(power_list_1p5e15_N2AB,mine_n_O_1p5e15_N2AB,'-*','Color','k','MarkerSize',11,'LineWidth',2);
hold on
h1=plot(power_list_7e15_N2AB,mine_n_O_7e15_N2AB,':*','Color','r','MarkerSize',11,'LineWidth',2);

text(1.2,2e19,'1000 sccm He','Color','k','FontSize',18)
text(1.2,9e18,'0.5% mixture','Color','k','FontSize',18)

text(1,5e20,'1000 sccm He','Color','k','FontSize',16)
text(1,3e20,'0.5% synthetic air','Color','k','FontSize',16)

xlim([0 2.7])
xticks(0:0.3:2.7)
xlabel('Absorbed power (W)')

set(gca, 'YScale', 'log')
ylim([1e20 1e22])
ylabel('O(^3P) density (m^{-3})')

set(gca,'FontSize', 15)

text(0.9,0.95,'(a)','Units','normalized','Color','k','FontSize',15)

set(gcf,'position',[100,100,600,450])

% saveas(figure(1),'/home/he/Downloads/a_Ste21_nO_sensitivity.jpg');
