clear all,clc, close all

path(pathdef);

addpath('Output_fullvib/HeN2O2')
load neededParameterForBenchmarking.mat

species_num = 16;
y_axis_order = 8e20;
scale = 1e20

load Output_fullvib/HeN2O2plug/chamber_position.mat
load Output_fullvib/HeN2O2plug/chamber_speciesDensities.mat
Simulation_length_fullvib = chamber_position;
Simulation_n_NO_fullvib = n_density(:,species_num);

load Output_1p5e15N2AB/HeN2O2plug/chamber_position.mat
load Output_1p5e15N2AB/HeN2O2plug/chamber_speciesDensities.mat
Simulation_length_1p5e15_N2AB = chamber_position;
Simulation_n_NO_1p5e15_N2AB = n_density(:,species_num);

load Output_7e15_N2AB/HeN2O2plug/chamber_position.mat
load Output_7e15_N2AB/HeN2O2plug/chamber_speciesDensities.mat
Simulation_length_7e15_N2AB = chamber_position;
Simulation_n_NO_7e15_N2AB = n_density(:,species_num);

figure(1)

addpath('0_Steuer');
[Experiment_n_O_position,Experiment_n_O]=get_n_Te('Meas_nO_m3_experiment.csv');

num_odd = 1:4:length(Experiment_n_O_position);
m1=plot(Experiment_n_O_position(num_odd)+30,Experiment_n_O(num_odd)./scale,'o','Color','k','MarkerSize',11);
set(m1, 'markerfacecolor', get(m1, 'color'));
hold on

h1=plot(Simulation_length_fullvib*1e3,Simulation_n_NO_fullvib./scale,'-','Color','k','LineWidth',3);
hold on
a=1:floor(length(Simulation_length_1p5e15_N2AB)/10):length(Simulation_length_1p5e15_N2AB);
h1=plot(Simulation_length_1p5e15_N2AB(a)*1e3,Simulation_n_NO_1p5e15_N2AB(a)./scale,'-*','Color','k','MarkerSize',11,'LineWidth',2);
hold on
a=1:floor(length(Simulation_length_7e15_N2AB)/10):length(Simulation_length_7e15_N2AB);
h1=plot(Simulation_length_7e15_N2AB(a)*1e3,Simulation_n_NO_7e15_N2AB(a)./scale,':*','Color','r','MarkerSize',11,'LineWidth',2);
hold on

% gray region
% Add lines
h2 = line([30 30],[0 2*y_axis_order./scale]);
% Set properties of lines
set([h2],'Color','k','LineWidth',1,'LineStyle','-.')
x1 = 30;
x2 = 45;
fx = [30 45 45 30 30];
Ys = ylim;
fy = [Ys(1) Ys(1) Ys(2) Ys(2) Ys(1)];
fill( fx,fy, [0 0 0], 'FaceAlpha', 0.15,'LineStyle','none');
hold off

set(h1, 'markerfacecolor', get(h1, 'color'));
xlim([-2 45])
xticks(0:5:45)
xlabel('Length (mm)')
ylim([0 2*y_axis_order./scale])
ylabel(['O(^3P)', ' density (10^{20} m^{-3})'])

ax1 = gca;    % current axes
set(ax1,'FontSize',15)
ax1_pos = ax1.Position;   % position of first axes

text(5,1.2*y_axis_order./scale,'Plasma Jet','Color','m','FontSize',16)
text(30,1.2*y_axis_order./scale,'Effluent','Color','m','FontSize',16)

text(2,15e20./scale,'1000 sccm He','Color','k','FontSize',16)
text(2,13.5e20./scale,'0.5% synthetic air','Color','k','FontSize',16)
text(2,12e20./scale,'0.4 W','Color','k','FontSize',16)

text(0.9,0.95,'(b)','Units','normalized','Color','k','FontSize',15)

set(gcf,'position',[100,100,600,450])

% saveas(figure(1),'/home/he/Downloads/b_Ste21_nO_sensitivity.jpg');
